Subject: Re: bug#76353: [PATCH] Add python2-mode and python2-ts-mode

From: kobarity <[email-masked]>
Date: Mon, 17 Feb 2025 23:37:02 +0900

Konstantin Kharlamov wrote:
> 
> On Mon, 2025-02-17 at 14:26 +0200, Eli Zaretskii wrote:
> > > From: Konstantin Kharlamov <[email-masked]>
> > > Date: Mon, 17 Feb 2025 07:57:57 +0300
> > > 
> > > On Mon, 2025-02-17 at 07:53 +0300, Konstantin Kharlamov wrote:
> > > > but AFAIK in Emacs this
> > > > mandatory, so other than that looks good to me 👍 
> > > 
> > > s/mandatory/isn't mandatory
> > 
> > What is...not "mandatory", but "very much desirable", is to avoid
> > separate commits that must be applied together or not at all.  Even
> > if
> > they change different and separate parts of Emacs.
> 
> Sure.  A commit should be self-contained functional change, unrelated
> to other commits (unless the opposite is desired by maintainers for
> specific reasons, which happens rarely).  It is kobarity's case though,
> because kobarity mentioned the change may be sent separately 😊

I agree that it is better to fix the separate issues in their own
patches, and since I think the discussion of adding a `python2-mode'
will take a bit of time, I have sent the FFAP fix to
[email-masked].  The FFAP fix is small and I expect it to be
accepted relatively quickly.  Once the fix is committed, I will rebase
the `python2-mode' patch.